<?xml version="1.0" encoding="UTF-8"?>
<web-app version="3.1" xmlns="http://xmlns.jcp.org/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-app_3_1.xsd">
    <servlet>
        <servlet-name>LogoutAction</servlet-name>
        <servlet-class>mainapp.LogoutAction</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>LoginAction</servlet-name>
        <servlet-class>mainapp.LoginAction</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>RegisterAction</servlet-name>
        <servlet-class>mainapp.RegisterAction</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>DeleteUserAction</servlet-name>
        <servlet-class>mainapp.DeleteUserAction</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>SaveOptionsAction</servlet-name>
        <servlet-class>mainapp.SaveOptionsAction</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>AddFactoryAction</servlet-name>
        <servlet-class>mainapp.AddFactoryAction</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>DeleteFactoryAction</servlet-name>
        <servlet-class>mainapp.DeleteFactoryAction</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>AddProductionAction</servlet-name>
        <servlet-class>mainapp.AddProductionAction</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>DeleteProductionAction</servlet-name>
        <servlet-class>mainapp.DeleteProductionAction</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>SoldProductionAction</servlet-name>
        <servlet-class>mainapp.SoldProductionAction</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>UnsellProductionAction</servlet-name>
        <servlet-class>mainapp.UnsellProductionAction</servlet-class>
    </servlet>
    <servlet-mapping>
        <servlet-name>LogoutAction</servlet-name>
        <url-pattern>/LogoutAction</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>LoginAction</servlet-name>
        <url-pattern>/LoginAction</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>RegisterAction</servlet-name>
        <url-pattern>/RegisterAction</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>DeleteUserAction</servlet-name>
        <url-pattern>/DeleteUserAction</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>DeleteFactoryAction</servlet-name>
        <url-pattern>/DeleteFactoryAction</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>SaveOptionsAction</servlet-name>
        <url-pattern>/SaveOptionsAction</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>AddFactoryAction</servlet-name>
        <url-pattern>/AddFactoryAction</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>AddProductionAction</servlet-name>
        <url-pattern>/AddProductionAction</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>DeleteProductionAction</servlet-name>
        <url-pattern>/DeleteProductionAction</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>SoldProductionAction</servlet-name>
        <url-pattern>/SoldProductionAction</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>UnsellProductionAction</servlet-name>
        <url-pattern>/UnsellProductionAction</url-pattern>
    </servlet-mapping>
    <session-config>
        <session-timeout>
            30
        </session-timeout>
    </session-config>
</web-app>
